## ubuntukylin-keyring 2014.04.10

=== debian/changelog ===
ubuntukylin-keyring (2014.04.10) trusty; urgency=medium

  * Replace the ascii-armored keys with a binary gpg keyring instead.
  * On fresh install, have the postinst set up a symlink in /etc/apt.
  * On removal have postrm delete the symlink we created in postinst.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 10 Apr 2014 10:42:03 -0600

ubuntukylin-keyring (2014.04.09) trusty; urgency=medium

  * Introduce the Canonical-generated key for the Ubuntu Kylin archive so that
    the archive can be signed in the Canonical DC, per consensus on the Tech
    Board mailing list and
    <https://wiki.ubuntu.com/Ubuntu%20Kylin/Ubuntu%20Kylin%20Archive>.
    LP: #1297710.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Apr 2014 22:29:02 -0700

ubuntukylin-keyring (2014.03.25) trusty; urgency=low

  * Initial release.

 -- Aron Xu <happyaron@ubuntu.com>  Wed, 26 Mar 2014 15:52:21 +0800
